Loading...
Searching...
No Matches
ConciseCasts.h File Reference

Defines concise cast and saturating cast operators to make it easier to read cast-heavy code. More...

`#include "IROperator.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::ConciseCasts

## Functions

Expr | Halide::ConciseCasts::f64 (Expr e)
Expr | Halide::ConciseCasts::f32 (Expr e)
Expr | Halide::ConciseCasts::f16 (Expr e)
Expr | Halide::ConciseCasts::bf16 (Expr e)
Expr | Halide::ConciseCasts::i64 (Expr e)
Expr | Halide::ConciseCasts::i32 (Expr e)
Expr | Halide::ConciseCasts::i16 (Expr e)
Expr | Halide::ConciseCasts::i8 (Expr e)
Expr | Halide::ConciseCasts::u64 (Expr e)
Expr | Halide::ConciseCasts::u32 (Expr e)
Expr | Halide::ConciseCasts::u16 (Expr e)
Expr | Halide::ConciseCasts::u8 (Expr e)
Expr | Halide::ConciseCasts::i8_sat (Expr e)
Expr | Halide::ConciseCasts::u8_sat (Expr e)
Expr | Halide::ConciseCasts::i16_sat (Expr e)
Expr | Halide::ConciseCasts::u16_sat (Expr e)
Expr | Halide::ConciseCasts::i32_sat (Expr e)
Expr | Halide::ConciseCasts::u32_sat (Expr e)
Expr | Halide::ConciseCasts::i64_sat (Expr e)
Expr | Halide::ConciseCasts::u64_sat (Expr e)

## Detailed Description

Defines concise cast and saturating cast operators to make it easier to read cast-heavy code.

Think carefully about the readability implications before using these. They could make your code better or worse. Often it's better to add extra Funcs to your pipeline that do the upcasting and downcasting.

Definition in file ConciseCasts.h.